OrderByPartitionedJUnitTestBase (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.functional

## Class OrderByPartitionedJUnitTestBase

- java.lang.Object
- - org.apache.geode.cache.query.functional.OrderByTestImplementation
  - - org.apache.geode.cache.query.functional.OrderByPartitionedJUnitTestBase

-     public abstract class OrderByPartitionedJUnitTestBase
      extends OrderByTestImplementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderByPartitionedJUnitTestBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `assertIndexUsedOnQueryNode()`
    `Index` | `createIndex(java.lang.String indexName, IndexType indexType, java.lang.String indexedExpression, java.lang.String fromClause)`
    `Index` | `createIndex(java.lang.String indexName, java.lang.String indexedExpression, java.lang.String regionPath)`
    `Region` | `createRegion(java.lang.String regionName, java.lang.Class valueConstraint)`
    `java.lang.String[]` | `getQueriesForLimitNotAppliedIfOrderByNotUsingIndex()`
    `java.lang.String[]` | `getQueriesForMultiColOrderByWithIndexResultWithProjection()`
    `java.lang.String[]` | `getQueriesForMultiColOrderByWithMultiIndexResultProjection()`
    `java.lang.String[]` | `getQueriesForOrderByWithNullValues()`
    `void` | `testBug()`
    `void` | `testOrderByWithNullValues()`
    `void` | `testOrderedResultsPartitionedRegion_Bug43514_1()`
    `void` | `testOrderedResultsPartitionedRegion_Bug43514_2()`

    - ### Methods inherited from class org.apache.geode.cache.query.functional.OrderByTestImplementation

      `setUp, tearDown, testLimitNotAppliedIfOrderByNotUsingIndex, testMultiColOrderByWithIndexResultDefaultProjection, testMultiColOrderByWithIndexResultWithProjection, testMultiColOrderByWithMultiIndexResultDefaultProjection, testMultiColOrderByWithMultiIndexResultProjection, testOrderByForUndefined, testOrderByWithColumnAlias_Bug52041_1, testOrderByWithColumnAlias_Bug52041_2, testOrderByWithIndexResultDefaultProjection, testOrderByWithIndexResultWithProjection, testOrderByWithNullValuesUseIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderByPartitionedJUnitTestBase

          public OrderByPartitionedJUnitTestBase()

  - ### Method Detail

    - #### createRegion

          public Region createRegion(java.lang.String regionName,
                                     java.lang.Class valueConstraint)

      Specified by:
        `createRegion` in class `OrderByTestImplementation`

    - #### createIndex

          public Index createIndex(java.lang.String indexName,
                                   IndexType indexType,
                                   java.lang.String indexedExpression,
                                   java.lang.String fromClause)
                            throws IndexInvalidException,
                                   IndexNameConflictException,
                                   IndexExistsException,
                                   RegionNotFoundException,
                                   java.lang.UnsupportedOperationException

      Specified by:
        `createIndex` in class `OrderByTestImplementation`
      Throws:
        `IndexInvalidException`
        `IndexNameConflictException`
        `IndexExistsException`
        `RegionNotFoundException`
        `java.lang.UnsupportedOperationException`

    - #### createIndex

          public Index createIndex(java.lang.String indexName,
                                   java.lang.String indexedExpression,
                                   java.lang.String regionPath)
                            throws IndexInvalidException,
                                   IndexNameConflictException,
                                   IndexExistsException,
                                   RegionNotFoundException,
                                   java.lang.UnsupportedOperationException

      Specified by:
        `createIndex` in class `OrderByTestImplementation`
      Throws:
        `IndexInvalidException`
        `IndexNameConflictException`
        `IndexExistsException`
        `RegionNotFoundException`
        `java.lang.UnsupportedOperationException`

    - #### assertIndexUsedOnQueryNode

          public boolean assertIndexUsedOnQueryNode()

      Specified by:
        `assertIndexUsedOnQueryNode` in class `OrderByTestImplementation`

    - #### testBug

          public void testBug()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderedResultsPartitionedRegion_Bug43514_1

          public void testOrderedResultsPartitionedRegion_Bug43514_1()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderedResultsPartitionedRegion_Bug43514_2

          public void testOrderedResultsPartitionedRegion_Bug43514_2()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderByWithNullValues

          public void testOrderByWithNullValues()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQueriesForOrderByWithNullValues

          public java.lang.String[] getQueriesForOrderByWithNullValues()

      Specified by:
        `getQueriesForOrderByWithNullValues` in class `OrderByTestImplementation`

    - #### getQueriesForLimitNotAppliedIfOrderByNotUsingIndex

          public java.lang.String[] getQueriesForLimitNotAppliedIfOrderByNotUsingIndex()

      Specified by:
        `getQueriesForLimitNotAppliedIfOrderByNotUsingIndex` in class `OrderByTestImplementation`

    - #### getQueriesForMultiColOrderByWithIndexResultWithProjection

          public java.lang.String[] getQueriesForMultiColOrderByWithIndexResultWithProjection()

      Specified by:
        `getQueriesForMultiColOrderByWithIndexResultWithProjection` in class `OrderByTestImplementation`

    - #### getQueriesForMultiColOrderByWithMultiIndexResultProjection

          public java.lang.String[] getQueriesForMultiColOrderByWithMultiIndexResultProjection()

      Specified by:
        `getQueriesForMultiColOrderByWithMultiIndexResultProjection` in class `OrderByTestImplementation`